Configurações suportadas do JBoss Operations Network

OBSERVAÇÃO: esta tradução pode não estar atualizada. Consulte a versão em inglês para obter as informações mais atualizadas.

Cada versão do JBoss® Operations Network (JBoss ON) é testada e certificada em vários sistemas operacionais líderes do mercado, Java™ Virtual Machines (JVMs) e combinações de bancos de dados. Como não testamos cada combinação possível, esta página descreve o que consideramos configurações compatíveis e com suporte completo. O Red Hat® depende do processo de teste e certificação de JVM para determinar a compatibilidade do sistema operacional. As seguintes famílias de versão da JVM, combinadas com um sistema operacional que suporta essa JVM, são consideradas totalmente compatíveis em um ambiente virtual ou real.

JBoss Operations Network 3.1

Java Virtual Machine Versão
Oracle JDK 1.6.x
OpenJDK 1.6.x
IBM JDK 1.6.x

JBoss Operations Network 3.0

Java Virtual Machine Versão
Oracle JDK 1.6.x
OpenJDK 1.6.x
IBM JDK 1.6.x

JBoss Operations Network 2.4

Java Virtual Machine Versão
Oracle JDK 1.6.x, 1.5.x (obsoleto)
OpenJDK 1.6.x, 1.5.x (obsoleto)
IBM JDK 1.6.x, 1.5.x (obsoleto)
Azul JDK 1.6.x, 1.5.x (obsoleto)

O JBoss ON baseia-se em bibliotecas nativas para funcionalidades específicas com relação ao gerenciamento de configurações e de desempenho Apache para sistemas de arquivos do CPU e dispositivos de rede. Dessa forma, pode haver plataformas em que tais recursos não são suportados. Os sistemas operacionais e as arquiteturas de chip a seguir incluem suporte nativo. As bibliotecas nativas podem ser incluídas em outros sistemas operacionais e/ou arquiteturas, mas não são suportadas. Essa listagem é atualizada periodicamente à medida que as configurações adicionais são certificadas. Observe abaixo que o sistema operacional nativo obsoleto refere-se ao suporte nativo. O próprio SO pode continuar a ser suportado com um JVM adequado.

JBoss Operations Network 3.1

Sistema operacional nativo Arquitetura de chip
Red Hat Enterprise Linux 6 (atualização mais recente) x86, x86_64
Microsoft Windows XP, 2008 x86, x86_64
Solaris 10 (obsoleto), 11 x86_64

JBoss Operations Network 3.0

Sistema operacional nativo Arquitetura de chip
Red Hat Enterprise Linux 6 (atualização mais recente) x86, x86_64
Microsoft Windows XP, 2008 x86, x86_64
Solaris 10 (obsoleto), 11 x86_64

JBoss Operations Network 2.4

Sistema operacional nativo Arquitetura de chip
Red Hat Enterprise Linux 5 (atualização mais recente) x86, x86_64
Red Hat Enterprise Linux 4 (atualização mais recente) x86, x86_64
Microsoft Windows XP, 2000, Vista, 7 x86, x86_64
Solaris 10 (obsoleto) x86, x86_64, SPARC 64
HP-UX 11 (obsoleto) PA, Itanium
AIX 5.2 (obsoleto) 32 bits

O JBoss ON fornece uma interface gráfica do usuário baseada em HTML. A tabela abaixo indica quais navegadores foram certificados. Outros navegadores com base no mesmo mecanismo ou as versões mais recentes podem ser utilizados, mas não há garantia de suporte. Versões mais antigas não são suportadas.

JBoss Operations Network 3.1

Navegador Versão

Firefox

10
Internet Explorer 8

JBoss Operations Network 3.0

Navegador Versão

Firefox

3.6.x, 4.x
Internet Explorer 8

JBoss Operations Network 2.4

Navegador Versão
Firefox 2.x, 3.x
Internet Explorer 6 (obsoleto), 7 (obsoleto), 8

O JBoss ON requer um banco de dados com, no mínimo 10 GB de espaço para armazenamento para uso em produção. Os bancos de dados a seguir são suportados.

JBoss Operations Network 3.1

Banco de dados Versão
Oracle 11g R2, 11gR2 RAC, 11g R1, 11g R1 RAC, 10g R2, 10g R1
PostgreSQL 8.3.x, 8.4.x, 9.x

JBoss Operations Network 3.0

Banco de dados Versão
Oracle 11g R2, 11gR2 RAC, 11g R1, 11g R1 RAC, 10g R2, 10g R1
PostgreSQL 8.3.x, 8.4.x, 9.x

JBoss Operations Network 2.4

Banco de dados Versão
Oracle 11g R1, 11g R2, 10g R2, 10g R1
PostgreSQL 8.2.4 e mais recente, 8.3.x, 8.4.x

O JBoss ON fornece gerenciamento de desempenho, configuração e inventário aos recursos a seguir:

JBoss Operations Network 3.1

JBoss Enterprise Application Platform 4.2.x(obsoleto), 4.3.x(obsoleto), 5.x, 6.x
JBoss Enterprise SOA Platform (ESB) 4.3.x(obsoleto), 5.x
JBoss Enterprise Data Services Platform 5.x
JBoss Enterprise Web Platform 5.x
JBoss Enterprise Portal Platform 5.2.x
JBoss Enterprise BRMS 5.2.x
JBoss Enterprise Web Server Suporte ainda não disponível
Apache 1.3.x, 2.x

JBoss Operations Network 3.0

JBoss Enterprise Application Platform 4.2.x, 4.3.x, 5.x
JBoss Enterprise SOA Platform (ESB) 4.3.x, 5.x
JBoss Enterprise Data Services Platform 5.x
JBoss Enterprise Web Platform 5.x
JBoss Enterprise Portal Platform 5.2.x
JBoss Enterprise BRMS 5.2.x
JBoss Enterprise Web Server 1.x
Apache 1.3.x, 2.x

JBoss Operations Network 2.4

JBoss Enterprise Application Platform 4.2.x, 4.3.x, 5.x
JBoss Enterprise SOA Platform (ESB) 4.3.x, 5.x
JBoss Enterprise Data Services Platform 5.x
JBoss Enterprise Web Platform 5.x
JBoss Enterprise Web Server 1.x
Apache 1.3.x, 2.x

Table of Contents

No